﻿&Вместо("ОбновитьСерииЦенообразования")
Функция исперп_ОбновитьСерииЦенообразования(ВидНоменклатуры)
	
	Если исперп_Правка
		.Включена(исперп_Идентификатор.УстановкаЦенСервер_ОбновитьСерииЦенообразования()) Тогда
		
		Результат = Истина;
		
		Текст = "ВЫБРАТЬ
		|	СерииНоменклатуры.Ссылка КАК Ссылка
		|ИЗ
		|	Справочник.СерииНоменклатуры КАК СерииНоменклатуры
		|ГДЕ
		|	СерииНоменклатуры.ВидНоменклатуры = &ВидНоменклатуры";
		
		Запрос = Новый Запрос(Текст);
		Запрос.УстановитьПараметр("ВидНоменклатуры", ВидНоменклатуры);
		Выборка = Запрос.Выполнить().Выбрать();
		Пока Выборка.Следующий() Цикл
			
			спрОбъект = Выборка.Ссылка.ПолучитьОбъект();
			спрОбъект.ДополнительныеСвойства.Вставить("ИспользуетсяЦенообразование25", Истина);
			
			Попытка
				спрОбъект.Записать();
			Исключение
				Результат = Ложь;
				// ::: +++ Добавлена запись ошибки в ЖР, вывод сообщения пользователю
				ТекстСообщения = "Ошибка записи серии " + Строка(спрОбъект) + ": " + Символы.ПС
				+ ПодробноеПредставлениеОшибки(ИнформацияОбОшибке());
				ЗаписьЖурналаРегистрации("исперп_Ценообразование2_5.ОбновитьСерииЦенообразования"
				, УровеньЖурналаРегистрации.Ошибка
				, Метаданные.Справочники.СерииНоменклатуры
				, 
				, ТекстСообщения);
				ОбщегоНазначенияКлиентСервер.СообщитьПользователю(ТекстСообщения);	
			КонецПопытки;
			
		КонецЦикла;
		
		Возврат Результат;
	Иначе
		Возврат ПродолжитьВызов(ВидНоменклатуры);
	КонецЕсли;
	
КонецФункции
